%define upstream_name Crypt-Curve25519
%define upstream_version 0.07

Name:		perl-Crypt-Curve25519
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 1
Summary:	Generate shared secret using elliptic-curve Diffie-Hellman function
Group:          Development/Perl
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Crypt-Curve25519
Source0:	https://cpan.metacpan.org/modules/by-module/Crypt/Crypt-Curve25519-%{upstream_version}.tar.gz
# Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl-devel
BuildRequires:	perl(Config)
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
BuildRequires:	perl(XSLoader)
# Test Suite
BuildRequires:	perl(blib)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IPC::Open3)
BuildRequires:	perl(Test::More) >= 0.88
# Runtime

%description
Curve25519 is a Diffie-Hellman function suitable for a wide variety of
applications.

Given a user's 32-byte secret key, Curve25519 computes the user's 32-byte
public key. Given the user's 32-byte secret key and another user's 32-byte
public key, Curve25519 computes a 32-byte secret shared by the two users. This
secret can then be used to authenticate and encrypt messages between the two
users.

%prep
%setup -q -n Crypt-Curve25519-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README.md
%{perl_vendorarch}/auto/Crypt/
%{perl_vendorarch}/Crypt/
%{_mandir}/man3/Crypt::Curve25519.3*



%changelog
* Thu Dec 15 2022 tv <tv> 0.70.0-1.mga9
+ Revision: 1923078
- update to 0.07

* Mon Jun 06 2022 umeabot <umeabot> 0.60.0-3.mga9
+ Revision: 1861623
- Rebuild for Perl 5.36

* Tue Mar 29 2022 tv <tv> 0.60.0-2.mga9
+ Revision: 1832333
- Really uses %%upstream_version
- Use upstream_name

* Fri Mar 18 2022 umeabot <umeabot> 0.06-1.mga9
+ Revision: 1798021
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 guillomovitch <guillomovitch> 0.60.0-4.mga7
+ Revision: 1248569
- rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.60.0-3.mga7
+ Revision: 1163595
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.60.0-2.mga7
+ Revision: 1148698
- Rebuild for perl ABI changes

* Mon Jul 31 2017 sander85 <sander85> 0.60.0-1.mga7
+ Revision: 1133269
- update to 0.06

* Sat Jul 22 2017 neoclust <neoclust> 0.50.0-4.mga7
+ Revision: 1127096
- Rebuild against new Perl 5.26

* Thu Jun 16 2016 tv <tv> 0.50.0-3.mga6
+ Revision: 1021660
- fix arm build: drop -m32 flag

* Thu Jun 16 2016 tv <tv> 0.50.0-2.mga6
+ Revision: 1021653
- use %%license
+ shlomif <shlomif>
- imported package perl-Crypt-Curve25519

